WireTransaction.Companion
Keywords: net.corda.core.transactions.WireTransaction.Companion class
Date: 2023-09-18

net.corda.core.transactions

## Class WireTransaction.Companion

- net.corda.core.transactions.WireTransaction.Companion

- Enclosing class:
    WireTransaction

      public static class WireTransaction.Companion

- - ### Method Detail

    - #### createComponentGroups

          @CordaInternal
           @Deprecated
           @NotNull
          public java.util.List<net.corda.core.transactions.ComponentGroup> createComponentGroups(@NotNull
                                                                                                                                        java.util.List<net.corda.core.contracts.StateRef> inputs,
                                                                                                                                        @NotNull
                                                                                                                                        java.util.List<? extends net.corda.core.contracts.TransactionState<? extends net.corda.core.contracts.ContractState>> outputs,
                                                                                                                                        @NotNull
                                                                                                                                        java.util.List<? extends net.corda.core.contracts.Command<?>> commands,
                                                                                                                                        @NotNull
                                                                                                                                        java.util.List<? extends net.corda.core.crypto.SecureHash> attachments,
                                                                                                                                        @Nullable
                                                                                                                                        Party notary,
                                                                                                                                        @Nullable
                                                                                                                                        TimeWindow timeWindow)

      Deprecated.

    - #### resolveStateRefBinaryComponent

          @CordaInternal
           @Nullable
          public SerializedBytes<net.corda.core.contracts.TransactionState> resolveStateRefBinaryComponent(@NotNull
                                                                                                                                     StateRef stateRef,
                                                                                                                                     @NotNull
                                                                                                                                     ServicesForResolution services)

      This is the main logic that knows how to retrieve the binary representation of `class StateRef`s.

      For `class ContractUpgradeWireTransaction` or `class NotaryChangeWireTransaction` it knows how to recreate the output state in the correct classloader independent of the node's classpath.

      See Also:
        `class StateRef`, `class ContractUpgradeWireTransaction`, `class NotaryChangeWireTransaction`